Name:		maximus
Summary:	A desktop daemon which will automatically maximise and, optionally, un-decorate windows
Version:	0.4.14
Release:	%mkrel 1
License:	GPLv3
Source:		%{name}-%{version}.tar.gz
URL:            https://launchpad.net/maximus
Group:		System/GUI
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-build

BuildRequires:	rpmlib(CompressedFileNames) <= 3.0.4-1 
BuildRequires:	libwnck libgnomeui2-devel libGConf2-devel
%ifarch i586
BuildRequires:  libfakekey-devel libxtst6-devel libunique-devel
%endif
%ifarch x86_64
BuildRequires:  lib64fakekey-devel lib64xtst6-devel lib64unique-devel
%endif



%description
A desktop daemon which will automatically maximise and, optionally, un-decorate windows. 
Has support for exclusion lists and will work with any EWMH-spec compliant window-manager.

Created for netbook environments where normally every window is maximised and removing 
the titlebar would give an extra 24px for the application to display


%prep
%setup -q -n %{name}-%{version}


%build
aclocal
libtoolize
autoconf
autoconf configure.ac
%configure
%make


%install
rm -fr %buildroot
%{makeinstall_std}


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root)
%{_bindir}/%{name}
%{_sysconfdir}/gconf/schemas/%{name}.schemas
%{_sysconfdir}/xdg/autostart/%{name}-autostart.desktop


%changelog
* Fri Jun 04 2010 Oliver Burger <rpm@mandrivauser.de> 0.4.14-1mud2010.1
- rebuild for 2010.1

* Thu Oct 29 2009 tigger-gg <rpm@mandrivauser.de> 0.4.14-1mud2010.0
- new version

* Tue Oct 13 2009 tigger-gg <rpm@mandrivauser.de> 0.4.12-1mud2010.0
- Rebuild for Mandriva 2010.0

* Mon Sep 28 2009 tigger-gg <rpm@mandrivauser.de> 0.4.12-1mud2009.1
- new version

* Sun Aug 16 2009 tigger-gg <rpm@mandrivauser.de> 0.4.9-1mud2009.1
- initial package for Mandriva 2009.1 
